Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 03-13-05, 03:32 PM   #1
RLNave
Registered User
 
Join Date: Mar 2004
Posts: 22
Default 7167 driver does not work with 2.6.11

I am currently running Fedora Core 1 with a compiled from source 2.6.11 kernel on a Compaq desktop.
Recently I was able to get the 6629 driver to work by applying the 2-28-2005 patch.

Today I downloaded the new 7167 driver.

The 7167 driver compiled with out error. However, when I tried to start up X I got the following errors:

failed to load nvidia kernel module
module nvidia already in kernel.
Screen found but not useable.


I have reverted to the patched 6629 driver until I get additional information.
RLNave is offline   Reply With Quote
Old 03-13-05, 03:38 PM   #2
zander
NVIDIA Corporation
 
zander's Avatar
 
Join Date: Aug 2002
Posts: 3,740
Default Re: 7167 driver does not work with 2.6.11

Please upgrade your module-init-tools.
zander is offline   Reply With Quote
Old 03-13-05, 05:17 PM   #3
Flopis
Registered User
 
Join Date: Mar 2005
Posts: 4
Default Re: 7167 driver does not work with 2.6.11

Have you ever tried to do "modprobe -q nvidia" before your update?
Flopis is offline   Reply With Quote
Old 03-13-05, 11:49 PM   #4
zander
NVIDIA Corporation
 
zander's Avatar
 
Join Date: Aug 2002
Posts: 3,740
Default Re: 7167 driver does not work with 2.6.11

@Flopis: `modprobe -q nvidia` addresses an unrelated, install-time dependency problem; the problem in this case is that the `modprobe` version shipped with early version of the module-init-tools consider it an error to attempt to load a kernel module that's already loaded (unlike the original modutils and current module-init-tools).
zander is offline   Reply With Quote
Old 03-14-05, 07:39 PM   #5
RLNave
Registered User
 
Join Date: Mar 2004
Posts: 22
Default Re: 7167 driver does not work with 2.6.11

I tried the new 7167 driver on my work machine which is running
Fedora 3 with the latest 2.6.11 kernel and it installed and runs good.

However, I still trying to get my Fedora 1 home machine upgraded to 7167. A recent post suggested the upgrading module-init-tools.

However, the Fedora 1 update archive has been frozen for about 6 months. There does not seem to be any updates available there.
I downloaded the modules.src.rpm and modules-init-tools.tar.gz files referred to in this user group. The modules-init.gz seemed to build and install. The modules.src built two modules.rpm files.
However, they reported a dependency error in the 2.6 kernel and refused to install.

I am reluctant to try to do a "nodependency" install.

Most of the time when I try that , I wreck something.
RLNave is offline   Reply With Quote
Old 03-15-05, 07:19 PM   #6
eswan
Registered User
 
Join Date: Dec 2003
Posts: 23
Default Re: 7167 driver does not work with 2.6.11

This one bit me. Was using module-init-tools-0.9.15-pre1 and kept getting the 'module already loaded' error. Upgraded to module-init-tools-3.2-pre1 from http://www.kernel.org/pub/linux/kernel/people/rusty/ and it works now.
eswan is offline   Reply With Quote
Old 03-16-05, 03:02 PM   #7
chrismortimore
Registered User
 
Join Date: Jul 2004
Posts: 131
Default Re: 7167 driver does not work with 2.6.11

my answer is stop using fedora, nothing seems to behave nicely under it. if you really wanna stick with it, perhaps upgrade to a newer fedora that is still maintained? running a distro that doesnt get updates made for it is a bit silly in my opinion.
__________________
[ www.guff.tk ]
chrismortimore is offline   Reply With Quote
Old 03-26-05, 06:59 PM   #8
coteyr
Registered User
 
Join Date: Aug 2003
Posts: 1
Default Re: 7167 driver does not work with 2.6.11

Just wanted to let every one know that this method does work. Get the source in tgz fromat from the link above and quit trying to cheat useing rpms
coteyr is offline   Reply With Quote

Old 03-27-05, 09:50 AM   #9
RAMChYLD
Registered User
 
Join Date: Feb 2005
Location: Malaysia
Posts: 95
Default Re: 7167 driver does not work with 2.6.11

I don't know about Fedora Core 1, but I have got the 7167 drivers working on vanilla kernel 2.6.11 (and 2.6.11.2 through 2.6.11.5). My distro is Slackware 10.1. Anyways, try doing the following:
  1. update the packages as Zander said
  2. rmmod nvidia
  3. Delete nvidia.ko from /lib/modules/2.6.11/kernel/drivers/video
  4. Make sure the headers in /usr/include are for the right kernel (this mistake, I make very often - I dual boot between 2.4.29 and 2.6.11.5). Rename asm-i386 to asm-i386-old, linux to linux.old, and asm-generic to asm-generic-old. Then copy the correct headers from <Kernel-source-directory>/include
  5. Extract the nvidia installer
  6. Download the latest patch for the NVidia driver and patch the installer
  7. Run nvidia-installer

Good luck!
RAMChYLD is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
295.40 Does not Work Had to downgrade to 295.33 Archmbc NVIDIA Linux 4 05-03-12 02:38 PM
Redhat 8.0 NVIDIA works - INSTRUCTIONS STEEL1 NVIDIA Linux 267 04-15-03 06:48 PM
Getting the proprietary nvidia driver to run with Debian 3.0 r0 (woody) Katchina404 NVIDIA Linux 9 01-12-03 08:49 AM
failing to initialize NV driver PsyShook NVIDIA Linux 10 09-19-02 12:41 PM
Nvidia Driver causes crash on Standby/Suspend dasher NVIDIA Linux 5 09-16-02 05:57 PM

All times are GMT -5. The time now is 04:29 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.